### Function

# Vips value_set_array

#### Declaration [src]

    void
    vips_value_set_array (
      GValue* value,
      int n,
      GType type,
      size_t sizeof_type
    )

#### Description [src]

Set `value` to be an array of things.

This allocates memory but does not initialise the contents: get the pointer and write instead.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to set.

  The argument will be set by the function.
  The returned data is owned by the function.

`n`

  Type: `int`

  Number of elements.

`type`

  Type: `GType`

  The type of each element.

`sizeof_type`

  Type: `size_t`

  The sizeof each element.